Bug 297031 - Please upgrade hal in F7 to make it compatible with hal-info from git
Please upgrade hal in F7 to make it compatible with hal-info from git
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 17:50 EDT by Matěj Cepl
Modified: 2013-03-05 22:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git diff output (932 bytes, patch)
2007-09-19 17:50 EDT, Matěj Cepl
no flags Details | Diff
output of lshal (116.60 KB, text/plain)
2007-09-19 17:51 EDT, Matěj Cepl
no flags Details
Additional quirks for HP Compaq 6710s (1.02 KB, patch)
2007-09-24 14:15 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2007-09-19 17:50:19 EDT
Description of problem:
I have created new quirks for my laptop, but haldaemon looks like it doesn't see
them

Version-Release number of selected component (if applicable):
hal-libs-0.5.9-8.fc7
hal-0.5.9-8.fc7
hal-cups-utils-0.6.9.2-1.fc7
hal-gnome-0.5.9-8.fc7
hal-devel-0.5.9-8.fc7
hal-info from git commit 287c5c0f48bd655de484951860ca8c452da7464d

How reproducible:
100%

Steps to Reproduce:
1../configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
make
sudo make install
sudo service haldaemon restart
2.lshal |grep quirk

Actual results:
nothing

Expected results:
list of two installed quirks

Additional info:
see attached diff for the actual quirks
Comment 1 Matěj Cepl 2007-09-19 17:50:19 EDT
Created attachment 200161 [details]
git diff output
Comment 2 Matěj Cepl 2007-09-19 17:51:59 EDT
Created attachment 200181 [details]
output of lshal
Comment 3 Matěj Cepl 2007-09-24 14:15:00 EDT
Created attachment 204361 [details]
Additional quirks for HP Compaq 6710s

Davidz, you were wrong -- hal-info from git is incompatible with haldaemon from
F7. When I have downloaded src.rpm for F7 hal-info and made this patch, then
haldaemon didn't have a problem to read it.

Would it be possible to upgrade hal* (whatever is needed) in F7 to make it
compatible with git hal-info, please?
Comment 4 Bug Zapper 2008-05-14 10:25:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:26:48 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.